︠bdc3e285-1d65-427b-949b-629b2b2f9e65i︠
%md
## Définition :
Un **produit scalaire** un espace vectoriel $\cal{V}$ sur $\mathbb{C}$ est une fonction $$ \begin{array}{rcl} \langle \cdot | \cdot \rangle :& \cal{V} \times \cal{V}& \to & \mathbb{C}\\ & (u,v) &\mapsto& \langle u | v\rangle \end{array}$$
telle que pour tous $u,v,w\in \cal{V}$ et tous $\alpha, \beta \in \mathbb{C}$ on a :
 - $\langle u | v \rangle = \overline{\langle v| u \rangle}$
 - $\langle u | \alpha v + \beta w \rangle = \alpha\langle u| v\rangle + \beta \langle u | w \rangle$
 - $ \langle u | u \rangle \geqslant 0$ et l'égalité a lieu si et seulement si $u=0$
︡0c5aea36-ecb5-45f0-b322-a01866dfa7aa︡︡{"done":true,"md":"## Définition :\nUn **produit scalaire** un espace vectoriel $\\cal{V}$ sur $\\mathbb{C}$ est une fonction $$ \\begin{array}{rcl} \\langle \\cdot | \\cdot \\rangle :& \\cal{V} \\times \\cal{V}& \\to & \\mathbb{C}\\\\ & (u,v) &\\mapsto& \\langle u | v\\rangle \\end{array}$$\ntelle que pour tous $u,v,w\\in \\cal{V}$ et tous $\\alpha, \\beta \\in \\mathbb{C}$ on a :\n - $\\langle u | v \\rangle = \\overline{\\langle v| u \\rangle}$\n - $\\langle u | \\alpha v + \\beta w \\rangle = \\alpha\\langle u| v\\rangle + \\beta \\langle u | w \\rangle$\n - $ \\langle u | u \\rangle \\geqslant 0$ et l'égalité a lieu si et seulement si $u=0$"}
︠4af0d782-0860-488a-af1b-959c04df871d︠

︠6d5acd41-9b26-4eb3-8d10-aa1b1953fdb7︠

︠1ac17f9f-2dde-4fa9-acfd-198206f6ee74︠

︠70dc797d-dd62-4a57-9ee6-e23057960fc9︠

︠825cc923-18ea-4604-b426-5183fcee8f38︠

︠a01dc054-09a9-4289-bb5b-f4a8b515dc4ci︠
%md
## Exemple
$\cal{V} = \mathbb{R}_{\leqslant 2}[x]$, les polynomes de degré au plus 2 en $x$. On choisit $t_0 = -1,t_1 = 1, t_2 = 4$ et on définit $\langle p | q \rangle = \sum_{i=0}^2 p(t_i)q(t_i)$.

Pour $p(x) = 2-3x+x^2$ et $q(x) = -1+4x+2x^2$, calculer $\langle p | q \rangle$

︡f7538fa1-2672-4afc-8ded-7b8ce20c885d︡︡{"done":true,"md":"## Exemple\n$\\cal{V} = \\mathbb{R}_{\\leqslant 2}[x]$, les polynomes de degré au plus 2 en $x$. On choisit $t_0 = -1,t_1 = 1, t_2 = 4$ et on définit $\\langle p | q \\rangle = \\sum_{i=0}^2 p(t_i)q(t_i)$.\n\nPour $p(x) = 2-3x+x^2$ et $q(x) = -1+4x+2x^2$, calculer $\\langle p | q \\rangle$"}
︠4bf1b952-6d2a-4ee1-92e9-368be08d4ad8︠
︠7bbc25e8-f2db-4491-a253-553849da7d8e︠
T = [0,1,4]
p(x) = 2-3*x+x^2
q(x) = -1+4*x+2*x^2
︡99c23d26-ad06-43fa-bf79-e864f4df4bc7︡︡{"done":true}
︠c4f02ddb-4597-4fcb-adda-ec3979ba0191︠
︠20be8931-ceae-468c-bbbb-9ea010da2280︠
def MyProd(f,g):
	return sum([f(t)*g(t) for t in T])
︡544f5f50-3402-4f03-8a97-d4abf4d6c481︡︡{"done":true}
︠88a8be1a-7c60-4528-9334-c202f53edc7c︠
MyProd(p,q)
︡fcd83ab8-7d38-4af4-85af-5088f6501cfc︡︡{"stdout":"280\n","done":false}︡{"done":true}
︠e8bc5e60-44c7-46d4-a0fa-7f8aba2be8cc︠
MyProd(p,p)
︡d67f80e3-0d88-4c28-a063-0e6f9b59a5e0︡︡{"stdout":"72\n","done":false}︡{"done":true}
︠0dd5aca7-ab15-4c83-9140-2aa64e04399d︠
MyProd(q,q)
︡d494a980-3042-49a9-bc7d-f821fd95739e︡︡{"stdout":"2243\n","done":false}︡{"done":true}
︠54a74890-6620-4b29-be0a-464703fa1512︠
A=matrix(QQ,[[2,1,-2,-1],[4,4,-3,1],[2,7,1,8]])
show(A)
︡238f4187-aefa-488c-9ec3-8707a35b0539︡︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrr}\n2 &amp; 1 &amp; -2 &amp; -1 \\\\\n4 &amp; 4 &amp; -3 &amp; 1 \\\\\n2 &amp; 7 &amp; 1 &amp; 8\n\\end{array}\\right)$</div>","done":false}︡{"done":true}
︠d49625ce-5443-4526-9146-17e98c884772︠
typeset_mode(True)
A.echelon_form()
︡0a9592f1-132b-411e-be44-7d7b8fe451e1︡︡{"html":"<div align='center'>$\\displaystyle \\left(\\begin{array}{rrrr}\n1 &amp; 0 &amp; -\\frac{5}{4} &amp; -\\frac{5}{4} \\\\\n0 &amp; 1 &amp; \\frac{1}{2} &amp; \\frac{3}{2} \\\\\n0 &amp; 0 &amp; 0 &amp; 0\n\\end{array}\\right)$</div>","done":false}︡{"done":true}
︠ead88b96-b289-4507-b4d0-95ac3baa8901︠









